﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jewles
{
     struct Turn
     {
          public bool IsEmpty => !_isNotEmpty;
          public readonly Point From;
          public readonly Point To;
          private readonly bool _isNotEmpty;

          public Turn(Point a, Point b)
          {
               From = a;
               To = b;
               _isNotEmpty = true;
          }

          public override string ToString()
          {
               return $"From: {From.X}:{From.Y}, To: {To.X}:{To.Y}";
          }
     }
}
